import e from "./isArray.js";
import t from "./isSymbol.js";
//#region ../../node_modules/lodash-es/_isKey.js
var n = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, r = /^\w*$/;
function i(i, a) {
	if (e(i)) return !1;
	var o = typeof i;
	return o == "number" || o == "symbol" || o == "boolean" || i == null || t(i) ? !0 : r.test(i) || !n.test(i) || a != null && i in Object(a);
}
//#endregion
export { i as default };
